Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Interface Transformation

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Implementing Classes:
  AbstractNodeBasedTransformation, AbstractTransformation, AbstractXSLTTransformation, DeleteResultsTransformation, ElementFilter, ElementFilter, FieldExpansionTransformation, GetDocumentsTransformation, GroupInformationInserter, NodeCounter, NodeCountTransformation, SAXONXSLTTransformation, TagFilter, TagFilter, XSLTTransformation

    public interface Transformation

extends org.apache.cocoon.xml.XMLPipe, SdxObject

An SDX transformation in an SDX pipeline.

A transformation is a generic operation that receives and throws SAX events. It can be a SAX filter, an XSLT transformation, or other complex mechanism.

The only difference with a Cocoon XMLPipe is that it can be parameterized, which can be useful for XSLT transformations.

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`static java.lang.String` | `ATTRIBUTE_KEEP` String representation of the "transformation" attribute name "keep".
`static java.lang.String` | `ATTRIBUTE_SRC` String representation of the "transformation" attribute name "src".
`static java.lang.String` | `ATTRIBUTE_TH` String representation of the "transformation" attribute name "th".
`static java.lang.String` | `CLASS_NAME_SUFFIX` String representation of the transformation class name suffix.
`static java.lang.String` | `PACKAGE_QUALNAME` String representation of the transformation package name (including trailing separator ".").

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Method Summary
`org.apache.avalon.framework.parameters.Parameters` | `getParameters()` The parameters for this transformation.
`void` | `recycle()` Recycles the contentHandler, lexicalHandler, and xmlConsumer for the transformation
`void` | `setParameters(org.apache.avalon.framework.parameters.Parameters p)` Sets some parameters for this transformation.
`boolean` | `shouldKeepResult()` Indicates wheter the results of this transfomation should be retained

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### ATTRIBUTE_SRC

    static final java.lang.String ATTRIBUTE_SRC

  String representation of the "transformation" attribute name "src".

  See Also:
    Constant Field Values

### ATTRIBUTE_KEEP

    static final java.lang.String ATTRIBUTE_KEEP

  String representation of the "transformation" attribute name "keep".

  See Also:
    Constant Field Values

### ATTRIBUTE_TH

    static final java.lang.String ATTRIBUTE_TH

  String representation of the "transformation" attribute name "th".

  See Also:
    Constant Field Values

### PACKAGE_QUALNAME

    static final java.lang.String PACKAGE_QUALNAME

  String representation of the transformation package name (including trailing separator ".").

  See Also:
    Constant Field Values

### CLASS_NAME_SUFFIX

    static final java.lang.String CLASS_NAME_SUFFIX

  String representation of the transformation class name suffix.

  See Also:
    Constant Field Values

Method Detail

### setParameters

    void setParameters(org.apache.avalon.framework.parameters.Parameters p)

  Sets some parameters for this transformation.

### getParameters

    org.apache.avalon.framework.parameters.Parameters getParameters()

  The parameters for this transformation.

### recycle

    void recycle()

  Recycles the contentHandler, lexicalHandler, and xmlConsumer for the transformation

### shouldKeepResult

    boolean shouldKeepResult()

  Indicates wheter the results of this transfomation should be retained

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.